import 'dart:async';

import 'package:bloc/bloc.dart';
import 'package:equatable/equatable.dart';
import 'package:firebase_phone_verify_ui/otp_screen.dart';

part 'app_event.dart';
part 'app_state.dart';

class AppBloc extends Bloc<AppEvent, AppState> {
  AppBloc() : super(AppInitial());

  @override
  Stream<AppState> mapEventToState(
    AppEvent event,
  ) async* {
    if (event is AppSendCodeEvent) {
      yield OTPSentState();
    } else if (event is AppChangeEvent) {
      yield AppChangedState(event.status);
    } else {
      yield OTPSentState();
    }
  }
}
