part of 'app_bloc.dart';

abstract class AppEvent extends Equatable {
  const AppEvent();

  @override
  List<Object> get props => [];
}

class AppSendCodeEvent extends AppEvent {
  const AppSendCodeEvent(this.phone);
  final String phone;
}

class AppChangeEvent extends AppEvent {
  const AppChangeEvent(this.status);

  final OtpStatus status;

  @override
  List<Object> get props => [this.status];
}
