part of 'app_bloc.dart';

abstract class AppState extends Equatable {
  final OtpStatus status;
  const AppState({this.status});

  @override
  List<Object> get props => [this.status];
}

class AppInitial extends AppState {
  AppInitial() : super(status: OtpStatus.sendingSMS);
}

class OTPSentState extends AppState {}

class AppChangedState extends AppState {
  AppChangedState(OtpStatus status) : super(status: status);
}
