import 'dart:async';

import 'package:firebase_phone_verify_ui/enum.dart';
import 'package:firebase_phone_verify_ui/firebase_login_page.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter/services.dart';

class FirebasePhoneVerifyUi {

  static const MethodChannel _channel =
      const MethodChannel('firebase_phone_verify_ui');

  static Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  Future<FirebaseVerifyResult> loginWithPhone(BuildContext context) async {
    
    FirebaseVerifyResult result = await Navigator.push(context,
        MaterialPageRoute(
          builder: (context) => FirebaseLoginPage()));

    return result;
    
  }
}
